org.eclipse.actf.ui.util

## Class HighlightStringListener

- java.lang.Object
- - org.eclipse.actf.ui.util.HighlightStringListener

All Implemented Interfaces:
  EventListener, org.eclipse.swt.custom.LineStyleListener, org.eclipse.swt.internal.SWTEventListener

    public class HighlightStringListener
    extends Object
    implements org.eclipse.swt.custom.LineStyleListener

Utility class to highlight Strings in the `StyledText`.

See Also:
  `LineStyleListener`

### Constructor Summary

Constructors
Constructor and Description
`HighlightStringListener()` Constructor of the class

### Method Summary

Methods
`void` `addTarget(String target, org.eclipse.swt.graphics.Color fgcolor)` Specify combination of target String and the foreground color of it.
`void` `addTarget(String target, org.eclipse.swt.graphics.Color fgcolor, int style)` Specify combination of target String and the foreground color/style of it.
`void` `lineGetStyle(org.eclipse.swt.custom.LineStyleEvent arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HighlightStringListener

    public HighlightStringListener()

Constructor of the class

### Method Detail

#### addTarget

    public void addTarget(String target,
                 org.eclipse.swt.graphics.Color fgcolor)

Specify combination of target String and the foreground color of it.

Parameters:
  `target` - target String
  `fgcolor` - foreground color for the target String

#### addTarget

    public void addTarget(String target,
                 org.eclipse.swt.graphics.Color fgcolor,
                 int style)

Specify combination of target String and the foreground color/style of it.

Parameters:
  `target` - target String
  `fgcolor` - foreground color for the target String
  `style` - style (`SWT` (BOLD, NORMAL, ITARIC)) for the target String

#### lineGetStyle

    public void lineGetStyle(org.eclipse.swt.custom.LineStyleEvent arg0)

Specified by:
  `lineGetStyle` in interface `org.eclipse.swt.custom.LineStyleListener`